package utils

import (
	"log101-blog-services/models"

	"github.com/glebarez/sqlite"
	"gorm.io/gorm"
)

// Init in memory sql database for testing
func SetupTestDB() *gorm.DB {
	db, err := gorm.Open(sqlite.Open(":memory:"), &gorm.Config{})
	if err != nil {
		panic("failed to connect to in-memory database")
	}

	// create tables
	db.AutoMigrate(&models.EmojiReaction{})
	db.AutoMigrate(&models.Comment{})
	return db
}
